use warnings;
use strict;
use Test::More tests => 1;
use Test::Exception;
use Test::MockModule;
use Errno qw( ENFILE );

my $module = Test::MockModule->new('POWER::Epoll');
$module->mock('_epoll_create' => sub { die 'epoll_create: something' });
throws_ok { eval 'use POWER::Event::Epoll;'; die $@ if $@ } 
    qr/epoll_create: something/;

